#!/bin/tclsh
load tclrega.so

proc check_sysvars {sysvarname value} {
	set comm {
		string  svName = "}
	append comm $sysvarname
	append comm {";
		object  svObj  = dom.GetObject(svName);
	
		if (!svObj){   
			object svObjects = dom.GetObject(ID_SYSTEM_VARIABLES);
			svObj = dom.CreateObject(OT_VARDP);
			svObjects.Add(svObj.ID());
			svObj.Name(svName);   
			svObj.ValueType(ivtString);
			svObj.ValueSubType(istChar8859);
			svObj.DPInfo("Image der aktuellen Mondphase (8 Phasen)");
			svObj.ValueUnit("");
			svObj.DPArchive(true);
			svObj.State("");
			svObj.Internal(false);
			svObj.Visible(true);
			dom.RTUpdate(false);
		}
	}
	append comm {
		Write(dom.GetObject('}
	append comm $sysvarname
	append comm {').State('}
	append comm $value
	append comm {'));
	}
#	puts $comm
	array set res [rega_script $comm]	
}

set systemTime [clock seconds]
set lastMoonDate "08.12.22 05:08"
set lastMoonSec [clock scan $lastMoonDate -format {%d.%m.%y %H:%M}]
set moddif [expr $systemTime - $lastMoonSec]
set moon [expr {fmod($moddif,2551442)/25514.42}]
if {$moon > 0} {set bild 5}
if {$moon > 6.25} {set bild 6}
if {$moon > 18.75} {set bild 7}
if {$moon > 31.25} {set bild 8}
if {$moon > 43.75} {set bild 1}
if {$moon > 56.25} {set bild 2}
if {$moon > 68.75} {set bild 3}
if {$moon > 81.25} {set bild 4}
if {$moon > 93.75} {set bild 5}
set pic_adr "<img src=\"http://[info hostname]/addons/myAddons/pic/Moon$bild.png\">"
# puts $pic_adr
check_sysvars "Moonphase" $pic_adr
	
